# Inquiry Billing

This API Inquiry service is used to check the latest status of the bill.

Method : GET

Format : JSON

<table><thead><tr><th width="169">Environment</th><th>URL Endpoint</th></tr></thead><tbody><tr><td>Development</td><td><a href="https://fasbill-sandbox.faspay.co.id/billingbackendapi/web/api/inquire">https://fasbill-sandbox.faspay.co.id/billingbackendapi/web/api/inquire</a></td></tr></tbody></table>

### **Request Inquiry Billing**

Request parameters are parameters that must be provided by the merchant system to be integrated with the Faspay system.

{% tabs %}
{% tab title="Request Parameter" %}

<table><thead><tr><th width="208">Parameter</th><th width="149">Data Type</th><th width="82">M/O/C</th><th width="370">Description</th></tr></thead><tbody><tr><td>service_id</td><td>Numeric</td><td>M</td><td>Unique code registered on the Faspay Billing service</td></tr><tr><td>billing_id</td><td>Numeric</td><td>M</td><td>Billing number generated by Faspay</td></tr><tr><td>transaction_number</td><td>Numeric</td><td>M</td><td>Merchant invoice number</td></tr><tr><td>signature</td><td>Alphanumeric</td><td>M</td><td><p>Merchant’s Signature </p><p>SHA1(MD5(username merchant + password merchant+transaction_number))</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Request" %}

```json
{
    "service_id" : "1",
    "billing_id" : "1041",
    "transaction_number": "145398922822218",
    "signature" : "3b15aa993c3ff270ab718f4fcf66046f24c2591b"
}

```

{% endtab %}
{% endtabs %}

### **Response Inquiry Billing**

Response parameters are parameters that will be sent by the Faspay system in response to parameter requests that have been sent by the merchant

{% tabs %}
{% tab title="Response Parameter" %}

<table><thead><tr><th width="205.66666666666666">Parameter</th><th>Data Type</th><th>Description</th></tr></thead><tbody><tr><td>billing_id</td><td>Numeric</td><td>Billing number generated by Faspay</td></tr><tr><td>transaction_number</td><td>Numeric</td><td>Merchant invoice number</td></tr><tr><td>billing_total</td><td>Numeric</td><td>Billing total</td></tr><tr><td>payment_details</td><td>Numeric</td><td>It is a detail of payment, and payment history will appear when using static payment</td></tr><tr><td>billing_due_date</td><td>Datetime (YYYY-MM-DD hh:mm:ss)</td><td>Bill due date Default: 24 hours from the date the invoice was created</td></tr><tr><td>billing_url</td><td>Alphanumeric</td><td>Bill payment link</td></tr><tr><td>billing_status</td><td>Alphanumeric</td><td>Billing status (UNPAID, PAID, EXPIRED, CANCELLED)</td></tr><tr><td>response_code</td><td>Numeric</td><td><p>Response code </p><p> 00 : Success </p><p> 01 : Failed</p></td></tr><tr><td>response_message</td><td>Alphanumeric</td><td>Message from the response code</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "billing_id": 141,
    "transaction_number": "145398922822218",
    "billing_total": "10000",
    "payment_details": [
        {
            "payment_id": "1606988333001352",
            "payment_date": "2020-12-03 11:00:00",
            "payment_nominal": "5000"
        },
        {
            "payment_id": "1606988333001353",
            "payment_date": "2020-12-03 11:00:00",
            "payment_nominal": "5000"
        }
        ],
    "billing_due_date": "2020-12-20 10:50:00",
    "billing_url": "https://s.faspay.co.id/gL",
    "billing_status": "PAID",
    "response_code": "00",
    "response_message": "Success Inquiry Billing"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/faspay-billing-api/inquiry-billing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
